GDBserver

Macros | Variables
glob.h File Reference
`#include <sys/cdefs.h>`
`#include <stddef.h>`
`#include <sys/stat.h>`
`#include "glob-libc.h"`

Go to the source code of this file.

## Macros
#define | __BEGIN_DECLS
#define | __END_DECLS
#define | __THROW
#define | __THROWNL
#define | _GL_CXXDEFS_H
#define | _GL_BEGIN_NAMESPACE
#define | _GL_END_NAMESPACE
#define | _GL_EXTERN_C extern
#define | _GL_FUNCDECL_RPL(func, rettype, parameters_and_attributes) _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)
#define | _GL_FUNCDECL_RPL_1(rpl_func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype rpl_func parameters_and_attributes
#define | _GL_FUNCDECL_SYS(func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype func parameters_and_attributes
#define | _GL_CXXALIAS_RPL(func, rettype, parameters) _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)
#define | _GL_CXXALIAS_RPL_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_RPL_CAST_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST2(func, rettype, parameters, rettype2, parameters2) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN(func) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN1(func, rettype, parameters_and_attributes) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_ARG_NONNULL(params)
#define | _GL_WARN_ON_USE(function, message) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_ON_USE_CXX(function, rettype, parameters_and_attributes, msg) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_EXTERN_C extern
#define | __size_t size_t
#define | __USE_GNU 1
#define | glob rpl_glob
#define | globfree rpl_globfree
#define | glob_pattern_p rpl_glob_pattern_p
#define | __GLOB_GNULIB 1

## Variables
__BEGIN_DECLS typedef int(* | _gl_glob_errfunc_fn )(const char *, int)

## Macro Definition Documentation

## ◆ __BEGIN_DECLS

#define __BEGIN_DECLS

Definition at line 40 of file glob.h.

## ◆ __END_DECLS

#define __END_DECLS

Definition at line 41 of file glob.h.

## ◆ __GLOB_GNULIB

#define __GLOB_GNULIB 1

Definition at line 415 of file glob.h.

## ◆ __size_t

#define __size_t size_t

Definition at line 404 of file glob.h.

## ◆ __THROW

#define __THROW

Definition at line 45 of file glob.h.

## ◆ __THROWNL

#define __THROWNL

Definition at line 48 of file glob.h.

## ◆ __USE_GNU

#define __USE_GNU 1

Definition at line 407 of file glob.h.

## ◆ _GL_ARG_NONNULL

#define _GL_ARG_NONNULL | ( |  | params | ) |

Definition at line 351 of file glob.h.

## ◆ _GL_BEGIN_NAMESPACE

#define _GL_BEGIN_NAMESPACE

Definition at line 60 of file glob.h.

## ◆ _GL_CXXALIAS_RPL

#define _GL_CXXALIAS_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)

Definition at line 162 of file glob.h.

## ◆ _GL_CXXALIAS_RPL_1

#define _GL_CXXALIAS_RPL_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 177 of file glob.h.

## ◆ _GL_CXXALIAS_RPL_CAST_1

#define _GL_CXXALIAS_RPL_CAST_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 200 of file glob.h.

## ◆ _GL_CXXALIAS_SYS

#define _GL_CXXALIAS_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 227 of file glob.h.

## ◆ _GL_CXXALIAS_SYS_CAST

#define _GL_CXXALIAS_SYS_CAST | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 250 of file glob.h.

## ◆ _GL_CXXALIAS_SYS_CAST2

#define _GL_CXXALIAS_SYS_CAST2 | ( |  | func,
|  |  | rettype,
|  |  | parameters,
|  |  | rettype2,
|  |  | parameters2
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 281 of file glob.h.

## ◆ _GL_CXXALIASWARN

#define _GL_CXXALIASWARN | ( |  | func | ) | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 309 of file glob.h.

## ◆ _GL_CXXALIASWARN1

#define _GL_CXXALIASWARN1 | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 337 of file glob.h.

## ◆ _GL_CXXDEFS_H

#define _GL_CXXDEFS_H

Definition at line 53 of file glob.h.

## ◆ _GL_END_NAMESPACE

#define _GL_END_NAMESPACE

Definition at line 61 of file glob.h.

## ◆ _GL_EXTERN_C

#define _GL_EXTERN_C extern

Definition at line 128 of file glob.h.

## ◆ _GL_FUNCDECL_RPL

#define _GL_FUNCDECL_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)

Definition at line 138 of file glob.h.

## ◆ _GL_FUNCDECL_RPL_1

#define _GL_FUNCDECL_RPL_1 | ( |  | rpl_func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype rpl_func parameters_and_attributes

Definition at line 140 of file glob.h.

## ◆ _GL_FUNCDECL_SYS

#define _GL_FUNCDECL_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype func parameters_and_attributes

Definition at line 150 of file glob.h.

## ◆ _GL_WARN_EXTERN_C

#define _GL_WARN_EXTERN_C extern

Definition at line 399 of file glob.h.

## ◆ _GL_WARN_ON_USE

#define _GL_WARN_ON_USE | ( |  | function,
|  |  | message
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 367 of file glob.h.

## ◆ _GL_WARN_ON_USE_CXX

#define _GL_WARN_ON_USE_CXX | ( |  | function,
|  |  | rettype,
|  |  | parameters_and_attributes,
|  |  | msg
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 388 of file glob.h.

## ◆ glob

#define glob rpl_glob

Definition at line 411 of file glob.h.

Referenced by gdb_glob::gdb_glob(), and gdb_tilde_expand().

## ◆ glob_pattern_p

#define glob_pattern_p rpl_glob_pattern_p

Definition at line 413 of file glob.h.

## ◆ globfree

#define globfree rpl_globfree

Definition at line 412 of file glob.h.

Referenced by gdb_glob::~gdb_glob().

## Variable Documentation

## ◆ _gl_glob_errfunc_fn

__BEGIN_DECLS typedef int(* _gl_glob_errfunc_fn) (const char *, int)

Definition at line 421 of file glob.h.